Bug 1924821 - Cannot to see All statuses on same Applied Errata Report
Summary: Cannot to see All statuses on same Applied Errata Report
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.8.0
Hardware: All
OS: All
medium
low vote
Target Milestone: 6.10.0
Assignee: Ondřej Ezr
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-03 17:24 UTC by patalber
Modified: 2021-11-16 14:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:10:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31802 0 Normal New Cannot to see All statuses on same Applied Errata Report 2021-02-21 22:58:56 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:10:12 UTC

Description patalber 2021-02-03 17:24:36 UTC
Description of problem:
Currently on able to see one status at a time in the 'Applied Errata' report template

Version-Release number of selected component (if applicable):
6.8.z

How reproducible:
100%

Steps to Reproduce:
1. Go to 'Monitor > Report Templates'
2. Click 'Generate' on 'Host - Applied Errata'
3. Click the drop down menu for 'Status'

Actual results:
'All' is not listed

Expected results:
'All' listed among the available Statuses

Additional info:

Comment 1 Dominik Matoulek 2021-02-04 10:03:03 UTC
Created redmine issue https://projects.theforeman.org/issues/31802 from this bug

Comment 2 Bryan Kearney 2021-05-09 16:18:13 UTC
Upstream bug assigned to oezr

Comment 3 Bryan Kearney 2021-05-09 16:18:14 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/31802 has been resolved.

Comment 4 Lukáš Hellebrandt 2021-06-25 12:13:00 UTC
Verified with Sat 6.10 snap 5.0.

There is now option 'all' listed in the Status selection and it indeed lists errata applications with any status. Other filters still work as they used to.

Comment 7 errata-xmlrpc 2021-11-16 14:10:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.